%MATLAB Script-File dimpuls1_167.m
%Einheits-Impulsantwortfunktion eines bertragungssystems
%fr verschiedene Abtastzeiten
sp1=-0.25; sp2=-2.5+j*10; sp3=-2.5-j*10; %Pole von G(s)
nulG=[];					%keine Nullstellen
polG=[sp1;sp2;sp3];			%Spaltenvektor der Pole
KP=1;						%Proportionalbeiwert
pnG=zpk(nulG,polG,KP);		%Pol-Nullstellenmodell pnG
G=tf(pnG);					%bertragungsfunktion

t=0:0.005:6;				%Vektor der Zeitwerte
for i=1:4
   subplot(410+i)			%Teilbilder 2 bis 4
   T=0.4^(5-i);             %Variation der Abtastzeit
   dG=c2d(G,T);				%G(s)->dG(z) mit zoh 
   l=length([0:T:6]);		%Anzahl Elemente des Zeitvektors
   [xa,dT]=impulse(dG,l);	%Impulsantwortfolge xa(kT) 
   stairs(dT,xa/(T/T))			%Impulsantwort ausgeben
   text(3.5,0.01,['\it{zeitdiskret, T=}',...
   num2str(T,3),'\it{ s}'])
   grid                     %kartesische Gitterlinien
   axis([0 6 0 0.015]);     %Skalierung
end

