%MATLAB Script-File inhom_zg_168.m
%Lsung der inhomogenen Zustandsgleichung
KS=1; DS=1; w0S=1;        	%PT2-Strecke
A=[0 1; -w0S^2 -2*DS*w0S];	%Systemmatrix
b=[0; KS*w0S^2];          	%Eingangsvektor
c=[1 0];                  	%Ausgangsvektor
d=0;                      	%Durchgangsfaktor
sys=ss(A,b,c,d);			%Zustandsmodell
x0=[0.5 0.2];             	%Anfangswerte x10, x20
t=0:0.01:8;               	%Vektor der Zeitwerte
x=zeros(length(t),2);     	%Vordefinition Vektor x

[y,t,x]=initial(sys,x0,t);	%Anfangswertantwort

subplot(211), plot(t,x(:,1),t,x(:,2))
grid                      	%kartesische Gitterlinien
title('{\itPT}_2{\it-Anfangswertantworten}') %Titel der Graphik
text(1.3,0.25,'{\itx}_1{\it(t)}') %Bezeichnung der Kurve
text(1.3,-0.1,'{\itx}_2{\it(t)}') %Bezeichnung der Kurve
xlabel('\it{Zeit t/s}')   	%Beschriftung der Abszisse
ylabel('{\itx}_1{\it(t), x}_2{\it(t)}') %Beschriftung Ordinate

u=ones(1,length(t));      	%Einheits-Sprungfunktion

[y,t,x]=lsim(sys,u,t,x0);	%Sprungantwort
                          	%mit Anfangswerten
subplot(212), plot(t,x(:,1),t,x(:,2))
grid                        %kartesische Gitterlinien
title('{\itPT}_2{\it-Sprungantworten mit Anfangswerten}')
text(1.4,0.73,'{\itx}_1{\it(t)}') %Bezeichnung der Kurve
text(1.4,0.2,'{\itx}_2{\it(t)}')  %Bezeichnung der Kurve
xlabel('\it{Zeit t/s}')   	%Beschriftung der Abszisse
ylabel('{\itx}_1{\it(t), x}_2{\it(t)}') %Beschriftung Ordinate
